Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.actions
Class SoapUIPreferencesAction

    java.lang.Object
      javax.swing.AbstractAction
          com.eviware.soapui.actions.SoapUIPreferencesAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class SoapUIPreferencesAction

extends javax.swing.AbstractAction

Action for managing SoapUI preferences

Author:
  Ole.Matzura
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `EDITOR_SETTINGS`
`static java.lang.String` | `HTTP_SETTINGS`
`static java.lang.String` | `INTEGRATED_TOOLS`
`static java.lang.String` | `PROXY_SETTINGS`
`static java.lang.String` | `SSL_SETTINGS`
`static java.lang.String` | `UI_SETTINGS`
`static java.lang.String` | `WS_I_SETTINGS`
`static java.lang.String` | `WSDL_SETTINGS`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SoapUIPreferencesAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addPrefs(Prefs pref)`
`static SoapUIPreferencesAction` | `getInstance()`
`boolean` | `show(java.lang.String initialTab)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WS_I_SETTINGS

    public static final java.lang.String WS_I_SETTINGS

See Also:
  Constant Field Values

### WSDL_SETTINGS

    public static final java.lang.String WSDL_SETTINGS

See Also:
  Constant Field Values

### UI_SETTINGS

    public static final java.lang.String UI_SETTINGS

See Also:
  Constant Field Values

### EDITOR_SETTINGS

    public static final java.lang.String EDITOR_SETTINGS

See Also:
  Constant Field Values

### PROXY_SETTINGS

    public static final java.lang.String PROXY_SETTINGS

See Also:
  Constant Field Values

### HTTP_SETTINGS

    public static final java.lang.String HTTP_SETTINGS

See Also:
  Constant Field Values

### SSL_SETTINGS

    public static final java.lang.String SSL_SETTINGS

See Also:
  Constant Field Values

### INTEGRATED_TOOLS

    public static final java.lang.String INTEGRATED_TOOLS

See Also:
  Constant Field Values

Constructor Detail

### SoapUIPreferencesAction

    public SoapUIPreferencesAction()

Method Detail

### addPrefs

    public void addPrefs(Prefs pref)

### getInstance

    public static SoapUIPreferencesAction getInstance()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

### show

    public boolean show(java.lang.String initialTab)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.